Bug 51008 - [PATCH] page-number-citation-last does not work in RTF
Summary: [PATCH] page-number-citation-last does not work in RTF
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: rtf (show other bugs)
Version: 1.0
Hardware: PC Windows XP
: P2 normal
Target Milestone: ---
Assignee: fop-dev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 10:27 UTC by Max Aster
Modified: 2012-04-01 06:17 UTC (History)
0 users



Attachments
The test FO file (1.22 KB, application/octet-stream)
2011-04-01 10:27 UTC, Max Aster
Details
Handles the citation-last like a normal citation (2.10 KB, patch)
2011-04-01 10:28 UTC, Max Aster
Details | Diff
Result of the FO with patched version (5.37 KB, application/msword)
2011-04-01 10:29 UTC, Max Aster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Aster 2011-04-01 10:27:20 UTC
Created attachment 26827 [details]
The test FO file

page-numer-citation-last is completely ignored in RTF.
Comment 1 Max Aster 2011-04-01 10:28:24 UTC
Created attachment 26828 [details]
Handles the citation-last like a normal citation
Comment 2 Max Aster 2011-04-01 10:29:15 UTC
Created attachment 26829 [details]
Result of the FO with patched version
Comment 3 Chris Bowditch 2011-04-19 09:09:15 UTC
Hi Max,

many thanks for the patch. I have committed it your patch in revision 1095076. Although I noticed in testing that page citations that reference IDs on page-sequence don't work. This is unrelated to your changes as I confirmed this is also the case when using page-number-citation. Therefore this particular bug is now closed.

Thanks,

Chris
Comment 4 Glenn Adams 2012-04-01 06:17:42 UTC
batch transition to closed; if someone wishes to restore one of these to resolved in order to perform a verification step, then feel free to do so